Installed new version, now errors everywhere

Problems with the Windows version of XAMPP, questions, comments, and anything related.

Installed new version, now errors everywhere

Postby JillC » 03. October 2019 08:10

Some time ago I installed a new version of Xampp, then today I decided I needed to get started on it again. I initially found the wrong control-xampp.exe file and it displayed lots of errors when attempting to start Apache and MySQL. So restarted my computer and found the right file to run. So that looked better - tells me it is XAMPP Control Panel v3.2.4 (compile Mar 7th 2019). My browser will open localhost and phpMyAdmin shows all my databases. But if I try to open a site, instead of getting a webpage, I get the install script. And it won't install over an existing database anyway.
When I tried to set up a new site from scratch using Wordpress it produced some php errors, but appeared to run the install up to step 2. When I tried to get into the back end, I got more errors:
Code: Select all
Warning: Illegal string offset 'remember' in D:\xamppnew\htdocs\mysterytest\wp-includes\user.php on line 39

Warning: Cannot assign an empty string to a string offset in D:\xamppnew\htdocs\mysterytest\wp-includes\user.php on line 39

Warning: Illegal string offset 'user_login' in D:\xamppnew\htdocs\mysterytest\wp-includes\user.php on line 54

Fatal error: Uncaught Error: Cannot create references to/from string offsets in D:\xamppnew\htdocs\mysterytest\wp-includes\user.php:54 Stack trace: #0 D:\xamppnew\htdocs\mysterytest\wp-login.php(770): wp_signon('', '') #1 {main} thrown in D:\xamppnew\htdocs\mysterytest\wp-includes\user.php on line 54


What have I done wrong? Should I try re-installing XAMPP? How can I recover all my old testing sites?
JillC
 
Posts: 11
Joined: 29. January 2006 10:29

Re: Installed new version, now errors everywhere

Postby modoran » 06. October 2019 08:52

Update wordpress to the latest version, not xampp. Make sure it is compatible with the version of PHP you are using.
modoran
 
Posts: 5
Joined: 31. December 2018 11:49
XAMPP version: 1.2.3
Operating System: windows 10 x64

Re: Installed new version, now errors everywhere

Postby JillC » 07. October 2019 03:04

Thanks. That worked. I now realise why my old sites won't show - they were set up with php 5. I know where I'm going now. Thanks very much for your reply.
JillC
 
Posts: 11
Joined: 29. January 2006 10:29


Return to XAMPP for Windows

Who is online

Users browsing this forum: No registered users and 96 guests